using System;

namespace Madjionicar
{
    class Program
    {
        static void Citaj(int[] a,int n)
        {
            string[] st = Console.ReadLine().Split();
            for (int i = 0; i < n; i++) 
            {
                a[i] = int.Parse(st[i]);
            }    
        }
        static void Main(string[] args)
        {
            string[] st = Console.ReadLine().Split();
            int N = int.Parse(st[0]);
            int K = int.Parse(st[1]);
            int[] a = new int [N];
            Citaj(a, N);
            if (K == a[N - 1])
                Console.WriteLine(a[0]);
            else
            {
                for (int i = 0; i < N - 1; i++)
                {
                    if (K == a[i])
                        Console.WriteLine(a[i + 1]);
                }
            }
        }
    }
}